
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;final_car.c,29 :: 		void interrupt(void) // Enable interrupt
;final_car.c,31 :: 		if (INTCON.INTE==1 && INTCON.INTF==1 ){
	BTFSS      INTCON+0, 4
	GOTO       L_interrupt2
	BTFSS      INTCON+0, 1
	GOTO       L_interrupt2
L__interrupt26:
;final_car.c,32 :: 		if (track==1){track=0;}
	MOVLW      0
	XORWF      _track+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt31
	MOVLW      1
	XORWF      _track+0, 0
L__interrupt31:
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt3
	CLRF       _track+0
	CLRF       _track+1
	GOTO       L_interrupt4
L_interrupt3:
;final_car.c,33 :: 		else if (track==0){track=1;}
	MOVLW      0
	XORWF      _track+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt32
	MOVLW      0
	XORWF      _track+0, 0
L__interrupt32:
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt5
	MOVLW      1
	MOVWF      _track+0
	MOVLW      0
	MOVWF      _track+1
L_interrupt5:
L_interrupt4:
;final_car.c,34 :: 		Delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_interrupt6:
	DECFSZ     R13+0, 1
	GOTO       L_interrupt6
	DECFSZ     R12+0, 1
	GOTO       L_interrupt6
	NOP
	NOP
;final_car.c,35 :: 		RA0_bit=track;
	BTFSC      _track+0, 0
	GOTO       L__interrupt33
	BCF        RA0_bit+0, 0
	GOTO       L__interrupt34
L__interrupt33:
	BSF        RA0_bit+0, 0
L__interrupt34:
;final_car.c,36 :: 		INTCON.INTF=0;
	BCF        INTCON+0, 1
;final_car.c,37 :: 		}
L_interrupt2:
;final_car.c,38 :: 		}
L_end_interrupt:
L__interrupt30:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_main:

;final_car.c,41 :: 		void main() {
;final_car.c,42 :: 		TRISA = 0x04;
	MOVLW      4
	MOVWF      TRISA+0
;final_car.c,43 :: 		TRISB = 0x00;
	CLRF       TRISB+0
;final_car.c,44 :: 		TRISC = 0x00;
	CLRF       TRISC+0
;final_car.c,45 :: 		PORTA = 0x04;
	MOVLW      4
	MOVWF      PORTA+0
;final_car.c,46 :: 		PORTB = 0x00;
	CLRF       PORTB+0
;final_car.c,47 :: 		PORTC = 0x00;
	CLRF       PORTC+0
;final_car.c,48 :: 		ANSEL = 0;
	CLRF       ANSEL+0
;final_car.c,49 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;final_car.c,50 :: 		GIE_bit = 1;    // INTCON BIT7=1 and global interrupts anable bit
	BSF        GIE_bit+0, 7
;final_car.c,51 :: 		PEIE_bit = 1;   // INTCON BIT6=1 and peripheral interrupt enable bit
	BSF        PEIE_bit+0, 6
;final_car.c,52 :: 		INTE_bit = 1;   // INTCON BIT4=1 and external interrupt enable bit
	BSF        INTE_bit+0, 4
;final_car.c,53 :: 		INTF_bit = 0;   // INTCON BIT1=1 and enable external interrupt flag bit THIS BIT IS INITIALLY WILL BE  WHEN INTERRUPT WILL OCCUR THEN FLAG BIT WILL SET TO 1
	BCF        INTF_bit+0, 1
;final_car.c,54 :: 		INTEDG_bit = 1; // OPTION REGISTER BIT6=1 INTERRUPT ON RISING EDGE OF RA2
	BSF        INTEDG_bit+0, 6
;final_car.c,55 :: 		PORTC = 0x00;   // Enable initial value of LED
	CLRF       PORTC+0
;final_car.c,56 :: 		C1ON_bit = 0;   // Desable Comparator
	BCF        C1ON_bit+0, 7
;final_car.c,57 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, 7
;final_car.c,58 :: 		Lcd_Init();                // Initialize LCD Display
	CALL       _Lcd_Init+0
;final_car.c,59 :: 		Lcd_Cmd(_LCD_CLEAR);       // Clear LCD Display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;final_car.c,60 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);  // Clear LCD Cursor From Display
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;final_car.c,62 :: 		while(1)
L_main7:
;final_car.c,66 :: 		if(RC0_bit == 0 && RC1_bit == 1 && RC2_bit == 0)
	BTFSC      RC0_bit+0, 0
	GOTO       L_main11
	BTFSS      RC1_bit+0, 1
	GOTO       L_main11
	BTFSC      RC2_bit+0, 2
	GOTO       L_main11
L__main28:
;final_car.c,68 :: 		PORTC = PORTC = 0b00010000;
	MOVLW      16
	MOVWF      PORTC+0
;final_car.c,69 :: 		Lcd_Out(1,1,"Car On: Forward  ");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_final_car+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;final_car.c,70 :: 		if (track==1) {
	MOVLW      0
	XORWF      _track+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main36
	MOVLW      1
	XORWF      _track+0, 0
L__main36:
	BTFSS      STATUS+0, 2
	GOTO       L_main12
;final_car.c,72 :: 		Lcd_Out(2,1,"LIGHT * ON    ");}
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_final_car+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	GOTO       L_main13
L_main12:
;final_car.c,73 :: 		else if (track==0)
	MOVLW      0
	XORWF      _track+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main37
	MOVLW      0
	XORWF      _track+0, 0
L__main37:
	BTFSS      STATUS+0, 2
	GOTO       L_main14
;final_car.c,76 :: 		Lcd_Out(2,1,"LIGHT * OFF");}
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_final_car+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_main14:
L_main13:
;final_car.c,77 :: 		}
	GOTO       L_main15
L_main11:
;final_car.c,80 :: 		else if(RC0_bit == 1 && RC1_bit == 1 && RC2_bit == 0)
	BTFSS      RC0_bit+0, 0
	GOTO       L_main18
	BTFSS      RC1_bit+0, 1
	GOTO       L_main18
	BTFSC      RC2_bit+0, 2
	GOTO       L_main18
L__main27:
;final_car.c,82 :: 		PORTC = 0b00100000;
	MOVLW      32
	MOVWF      PORTC+0
;final_car.c,83 :: 		Lcd_Out(1,1,"Car On: Backward");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr4_final_car+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;final_car.c,84 :: 		if (track==1) {
	MOVLW      0
	XORWF      _track+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main38
	MOVLW      1
	XORWF      _track+0, 0
L__main38:
	BTFSS      STATUS+0, 2
	GOTO       L_main19
;final_car.c,86 :: 		Lcd_Out(2,1,"LIGHT * ON    ");}
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr5_final_car+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	GOTO       L_main20
L_main19:
;final_car.c,87 :: 		else if (track==0)
	MOVLW      0
	XORWF      _track+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main39
	MOVLW      0
	XORWF      _track+0, 0
L__main39:
	BTFSS      STATUS+0, 2
	GOTO       L_main21
;final_car.c,90 :: 		Lcd_Out(2,1,"LIGHT * OFF");}
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr6_final_car+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_main21:
L_main20:
;final_car.c,91 :: 		}
	GOTO       L_main22
L_main18:
;final_car.c,96 :: 		PORTC = 0x00;
	CLRF       PORTC+0
;final_car.c,97 :: 		Lcd_Out(1,1,"Car On: Break   ");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr7_final_car+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;final_car.c,98 :: 		if (track==1) {
	MOVLW      0
	XORWF      _track+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main40
	MOVLW      1
	XORWF      _track+0, 0
L__main40:
	BTFSS      STATUS+0, 2
	GOTO       L_main23
;final_car.c,100 :: 		Lcd_Out(2,1,"LIGHT * ON    ");}
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr8_final_car+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	GOTO       L_main24
L_main23:
;final_car.c,101 :: 		else if (track==0)
	MOVLW      0
	XORWF      _track+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main41
	MOVLW      0
	XORWF      _track+0, 0
L__main41:
	BTFSS      STATUS+0, 2
	GOTO       L_main25
;final_car.c,104 :: 		Lcd_Out(2,1,"LIGHT * OFF");}
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr9_final_car+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_main25:
L_main24:
;final_car.c,105 :: 		}
L_main22:
L_main15:
;final_car.c,106 :: 		}
	GOTO       L_main7
;final_car.c,107 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
