#line 1 "D:/Software/microcontroller/Teachshop/Programm_and_design/PIC16F690/prgm_car_ctrl_Final - 2/final_car.c"
#line 7 "D:/Software/microcontroller/Teachshop/Programm_and_design/PIC16F690/prgm_car_ctrl_Final - 2/final_car.c"
sbit LCD_RS at RA4_bit;
sbit LCD_EN at RA5_bit;
sbit LCD_D7 at RB4_bit;
sbit LCD_D6 at RB5_bit;
sbit LCD_D5 at RB6_bit;
sbit LCD_D4 at RB7_bit;

sbit LCD_RS_Direction at TRISA4_bit;
sbit LCD_EN_Direction at TRISA5_bit;
sbit LCD_D7_Direction at TRISB4_bit;
sbit LCD_D6_Direction at TRISB5_bit;
sbit LCD_D5_Direction at TRISB6_bit;
sbit LCD_D4_Direction at TRISB7_bit;




char buzzer[] = { 0x08, 0x00 };
char count = 0;

int track=0;

void interrupt(void)
{
if (INTCON.INTE==1 && INTCON.INTF==1 ){
if (track==1){track=0;}
else if (track==0){track=1;}
Delay_ms(100);
RA0_bit=track;
INTCON.INTF=0;
}
}


void main() {
TRISA = 0x04;
TRISB = 0x00;
TRISC = 0x00;
PORTA = 0x04;
PORTB = 0x00;
PORTC = 0x00;
ANSEL = 0;
ANSELH = 0;
GIE_bit = 1;
PEIE_bit = 1;
INTE_bit = 1;
INTF_bit = 0;
INTEDG_bit = 1;
PORTC = 0x00;
C1ON_bit = 0;
C2ON_bit = 0;
Lcd_Init();
Lcd_Cmd(_LCD_CLEAR);
Lcd_Cmd(_LCD_CURSOR_OFF);

while(1)
{


 if(RC0_bit == 0 && RC1_bit == 1 && RC2_bit == 0)
 {
 PORTC = PORTC = 0b00010000;
 Lcd_Out(1,1,"Car On: Forward  ");
 if (track==1) {

 Lcd_Out(2,1,"LIGHT * ON    ");}
 else if (track==0)
 {

 Lcd_Out(2,1,"LIGHT * OFF");}
 }


 else if(RC0_bit == 1 && RC1_bit == 1 && RC2_bit == 0)
 {
 PORTC = 0b00100000;
 Lcd_Out(1,1,"Car On: Backward");
 if (track==1) {

 Lcd_Out(2,1,"LIGHT * ON    ");}
 else if (track==0)
 {

 Lcd_Out(2,1,"LIGHT * OFF");}
 }


 else
 {
 PORTC = 0x00;
 Lcd_Out(1,1,"Car On: Break   ");
 if (track==1) {

 Lcd_Out(2,1,"LIGHT * ON    ");}
 else if (track==0)
 {

 Lcd_Out(2,1,"LIGHT * OFF");}
}
}
}
