/*
  This code is design and develpb by Md. Saiful Islam Shohel
*/

//Code for LCD Display module connection
// Line Derection
sbit LCD_RS at RA4_bit;
sbit LCD_EN at RA5_bit;
sbit LCD_D7 at RB4_bit;
sbit LCD_D6 at RB5_bit;
sbit LCD_D5 at RB6_bit;
sbit LCD_D4 at RB7_bit;
// Pin direction
sbit LCD_RS_Direction at TRISA4_bit;
sbit LCD_EN_Direction at TRISA5_bit;
sbit LCD_D7_Direction at TRISB4_bit;
sbit LCD_D6_Direction at TRISB5_bit;
sbit LCD_D5_Direction at TRISB6_bit;
sbit LCD_D4_Direction at TRISB7_bit;
//Code End for LCD Display module connection

// Code for Interrupt

char buzzer[] = { 0x08, 0x00 }; // variablr for buzzer
char count = 0; // Count 0 for interrupt

int track=0;         // track value intially set to 0

void interrupt(void) // Enable interrupt
{
if (INTCON.INTE==1 && INTCON.INTF==1 ){
if (track==1){track=0;}
else if (track==0){track=1;}
Delay_ms(100);
RA0_bit=track;
INTCON.INTF=0;
}
}


void main() {
TRISA = 0x04;
TRISB = 0x00;
TRISC = 0x00;
PORTA = 0x04;
PORTB = 0x00;
PORTC = 0x00;
ANSEL = 0;
ANSELH = 0;
GIE_bit = 1;    // INTCON BIT7=1 and global interrupts anable bit
PEIE_bit = 1;   // INTCON BIT6=1 and peripheral interrupt enable bit
INTE_bit = 1;   // INTCON BIT4=1 and external interrupt enable bit
INTF_bit = 0;   // INTCON BIT1=1 and enable external interrupt flag bit THIS BIT IS INITIALLY WILL BE  WHEN INTERRUPT WILL OCCUR THEN FLAG BIT WILL SET TO 1
INTEDG_bit = 1; // OPTION REGISTER BIT6=1 INTERRUPT ON RISING EDGE OF RA2
PORTC = 0x00;   // Enable initial value of LED
C1ON_bit = 0;   // Desable Comparator
C2ON_bit = 0;
Lcd_Init();                // Initialize LCD Display
Lcd_Cmd(_LCD_CLEAR);       // Clear LCD Display
Lcd_Cmd(_LCD_CURSOR_OFF);  // Clear LCD Cursor From Display

while(1)
{

 // condition for car going to forward
 if(RC0_bit == 0 && RC1_bit == 1 && RC2_bit == 0)
 {
 PORTC = PORTC = 0b00010000;
 Lcd_Out(1,1,"Car On: Forward  ");
 if (track==1) {

                           Lcd_Out(2,1,"LIGHT * ON    ");}
        else if (track==0)
                          {

                           Lcd_Out(2,1,"LIGHT * OFF");}
 }
 
 // condition for car going to backward
 else if(RC0_bit == 1 && RC1_bit == 1 && RC2_bit == 0)
 {
 PORTC = 0b00100000;
 Lcd_Out(1,1,"Car On: Backward");
 if (track==1) {

                           Lcd_Out(2,1,"LIGHT * ON    ");}
        else if (track==0)
                          {

                           Lcd_Out(2,1,"LIGHT * OFF");}
 }


 else 
 {
 PORTC = 0x00;
 Lcd_Out(1,1,"Car On: Break   ");
 if (track==1) {

                           Lcd_Out(2,1,"LIGHT * ON    ");}
        else if (track==0)
                          {

                           Lcd_Out(2,1,"LIGHT * OFF");}
}
}
}